Subject: Re: GIT v1.5.1-rc1

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 19 Mar 2007 22:55:39 -0400

Junio C Hamano <[email-masked]> wrote:
> Bill Lear <[email-masked]> writes:
> 
> > On Monday, March 19, 2007 at 03:53:47 (-0700) Junio C Hamano writes:
> >>...
> >>* Hooks
> >>
> >>  - The sample update hook to show how to send out notification
> >>    e-mail was updated to show only new commits that appeared in
> >>    the repository.  Earlier, it showed new commits that appeared
> >>    on the branch.
> >
> > I did not see Shawn's changes to the update hooks in here, and can't
> > recall where these stand at the moment --- will these be forthcoming?
> 
> Do you mean "[PATCH] Split sample update hook into post-receive
> hook"?  My impression was that the discussion that followed made
> its interface obsolete with later 8-patch series from Shawn.

I think that's what Bill means, and you are correct Junio, that patch
is not valid anymore now that post-receive takes its data on stdin.

I was hoping Andy or one of the other folks who have worked on
that hook would pick up the ball and update the hook, but I
think they are stuck on the fact that you cannot use:

	git log $new --not --all

in the post-receive hook to see what commits are "new to this
repository", as $new is already in --all.  ;-)

That almost needs a --all-except="refs/heads/a refs/heads/b" option
to rev-list.  Grrrr.

-- 
Shawn.